#include "CubeMapRenderingRun.h"



CubeMapRenderingRun::CubeMapRenderingRun(unsigned long startFrame,
													unsigned long updateInterval,
													unsigned int resolution,
													bool useDistCalc,
													bool useFaceAngleCalc,
													float distTolerance,
													float angleTolerance,
													bool updateAllFace,
													bool renderSelf,
													bool renderEnvironment)
													:RenderingRun(startFrame, updateInterval)
{
	this->useDistCalc = useDistCalc;
	this->useFaceAngleCalc = useFaceAngleCalc;
	this->distTolerance = distTolerance;
	this->angleTolerance = angleTolerance;
	this->resolution = resolution;
	this->updateAllFace = updateAllFace;
	this->renderSelf = renderSelf;
	this->renderEnvironment = renderEnvironment;

	currentFace = 0;
}

void CubeMapRenderingRun::updateFrame(unsigned long frameNum)
{
	if(updateAllFace || updateInterval == 0)
	{
		for(int i=0;i<6;i++)
		{
			updateCubeFace(i);
		}
	}
	else
	{
		if(faceNeedsUpdate(currentFace))
			updateCubeFace(currentFace);

		currentFace = (currentFace + 1) % 6;		
	}
}
